commit e355230cc6c9e491c13a7cd2fbeb9828109a0f2a
Author: jklowden <jklowden>
Date:   Fri Feb 15 16:27:38 2008 +0000

    support SYBUNIQUE printable width

diff --git a/ChangeLog b/ChangeLog
index 0373661..77bc6c3 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Feb 15 11:25:46 EST 2008	JK Lowden <jklowden@freetds.org>
+	* src/dblib/dblib.c src/tds/convert.c
+	- support SYBUNIQUE printable width
+
 Fri Feb 15 12:05:48 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c: fix SQL_ATTR_CONNECTION_DEAD
 
@@ -169,4 +173,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2490 2008/02/15 11:06:39 freddy77 Exp $
+$Id: ChangeLog,v 1.2491 2008/02/15 16:27:38 jklowden Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index b6950aa..b9baa7e 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.321 2008/01/24 21:14:55 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.322 2008/02/15 16:27:38 jklowden Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -3469,6 +3469,10 @@ dbprrow(DBPROCESS * dbproc)
 	return SUCCEED;
 }
 
+/*
+ * src/tds/convert.c::tds_willconvert() returns same information.
+ * Available to user via dbwillconvert(). 
+ */
 static int
 _get_printable_size(TDSCOLUMN * colinfo)
 {
@@ -3496,17 +3500,16 @@ _get_printable_size(TDSCOLUMN * colinfo)
 	case SYBCHAR:
 		return colinfo->column_size;
 	case SYBFLT8:
-		return 11;	/* FIX ME -- we do not track precision */
 	case SYBREAL:
 		return 11;	/* FIX ME -- we do not track precision */
 	case SYBMONEY:
-		return 12;	/* FIX ME */
 	case SYBMONEY4:
-		return 12;	/* FIX ME */
+		return 12;
 	case SYBDATETIME:
-		return 26;	/* FIX ME */
 	case SYBDATETIME4:
-		return 26;	/* FIX ME */
+		return 26;
+	case SYBUNIQUE:
+		return 36;
 	case SYBBIT:
 	case SYBBITN:
 		return 1;
@@ -3514,7 +3517,6 @@ _get_printable_size(TDSCOLUMN * colinfo)
 	default:
 		return 0;
 	}
-
 }
 
 /**
diff --git a/src/tds/convert.c b/src/tds/convert.c
index 67ea545..2283097 100644
--- a/src/tds/convert.c
+++ b/src/tds/convert.c
@@ -64,7 +64,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert.c,v 1.180 2008/02/04 07:51:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert.c,v 1.181 2008/02/15 16:27:39 jklowden Exp $");
 
 typedef unsigned short utf16_t;
 
@@ -2896,6 +2896,8 @@ tds_willconvert(int srctype, int desttype)
 	case SYBMONEY:
 	case SYBMONEY4:
 			return 12;
+	case SYBUNIQUE:
+			return 36;
 	/* non-fixed types have variable data sizes, just return 0xff */
 	case SYBCHAR:
 	case SYBBINARY:
@@ -2919,7 +2921,6 @@ tds_willconvert(int srctype, int desttype)
 	case SYBINTERVAL:
 	case SYBSENSITIVITY:
 	case SYBTIME:
-	case SYBUNIQUE:
 	case SYBUNITEXT:
 	case SYBVARIANT:
 	case SYBVOID:

